## scanlogd 2.2-1

=== debian/changelog ===
scanlogd (2.2-1) unstable; urgency=low

  * new upstream release, closes: #94119

 -- Michael Vogt <mvo@debian.org>  Tue, 27 Mar 2001 09:37:02 +0200

scanlogd (2.1-1) unstable; urgency=low

  * new upstream
  * close: Bug #69771

 -- Michael Vogt <mvo@debian.org>  Mon, 28 Aug 2000 14:25:39 +0200

scanlogd (1.3-7) unstable; urgency=low

  * close: Bug #69929,#70015 (this time, I got it right)

 -- Michael Vogt <mvo@debian.org>  Sun, 27 Aug 2000 21:47:04 +0200

scanlogd (1.3-6) unstable; urgency=low

  * fix: Bug #69929 (thanks to Antti-Juhani Kaijanaho)

 -- Michael Vogt <mvo@debian.org>  Sat, 26 Aug 2000 14:45:51 +0200

scanlogd (1.3-5) unstable; urgency=low

  * fix: Bug #69771 (thanks to Joey Hess) 

 -- Michael Vogt <mvo@debian.org>  Wed, 23 Aug 2000 10:18:37 +0200

scanlogd (1.3-4) frozen unstable; urgency=low

  * fixed a stuid typo (Bug #58146). Thanks to Peter Naulls 

 -- Michael Vogt <mvogt@acm.org>  Tue, 30 May 2000 12:35:42 +0200

scanlogd (1.3-3) unstable; urgency=low

  * fixed bug #64862 (thanks to Joost Yervante Damad 
                      <joost.damad@siemens.atea.be>

 -- Michael Vogt <mvogt@acm.org>  Tue, 30 May 2000 12:29:56 +0200

scanlogd (1.3-2) unstable; urgency=low

  * fixed bug in postinst/prerm/postrm

 -- Michael Vogt <mvogt@acm.org>  Mo, 16 Feb 2000 13:00:00 +0100

scanlogd (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Michael Vogt <mvogt@acm.org>  Sun, 19 Dec 1999 16:18:56 +0100

Local variables:
mode: debian-changelog
End:
