=== debian/control ===
Source: scanlogd
Section: net
Priority: optional
Maintainer: Michael Vogt <mvogt@acm.org>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: scanlogd
Architecture: any
Depends: ${shlibs:Depends}
Description: A portscan detecting tool
 Scanlogd is a daemon written by Solar Designer
 to detect portscan attacks on your machine.
