=== debian/control ===
Source: scanlogd
Section: net
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.openwall.com/scanlogd/
Vcs-Git: https://salsa.debian.org/debian/scanlogd.git
Vcs-Browser: https://salsa.debian.org/debian/scanlogd/

Package: scanlogd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         lsb-base,
Description: Portscan Detecting Tool
 Scanlogd is a TCP port scan detection tool, originally designed to illustrate
 various attacks an IDS developer has to deal with, for a Phrack Magazine
 article. Thus, unlike some of the other port scan detection tools out there,
 scanlogd is designed to be totally safe to use.
 .
 This release of scanlogd can be built with support for one of several packet
 capture interfaces. In addition to the raw socket interface on Linux (which
 does not require any libraries), scanlogd is now aware of libnids and libpcap.
 .
 Debian's version of scanlogd has been configured to use the raw socket
 interface on Linux.
