=== debian/watch ===
version=4
ftp://ftp.openwall.com/pub/projects/scanlogd/scanlogd-(.*).tar.gz
